Bug 383697 - [Regression] Document print margins not persistent.
Summary: [Regression] Document print margins not persistent.
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: 17.04.3
Platform: openSUSE RPMs Linux
: NOR normal with 6 votes (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL: https://phabricator.kde.org/D22715
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-19 13:07 UTC by Paul
Modified: 2019-07-26 16:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.61


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul 2017-08-19 13:07:19 UTC
Kate no longer saves the document print margins.

This means that each and every time the Printer Dialogue is opened, one needs to set top, bottonm, left, and right margins as one requires.  Which is, putting it mildly, rather annoying :)

By comparison to, for example, Kate Version 3.14.7 using KDE Platform 4.14.7 which stored margin settings, along with other "Kate Print Settings" in "~/.kde4/share/config/katerc":

Snippet from katerc 

[Kate Print Settings][Margins]
bottom=10
left=25
right=10
top=10
Comment 1 Dominik Haumann 2019-04-28 07:23:39 UTC
See also bug 406627, which currently contains a bit more info.
Comment 2 Dominik Haumann 2019-07-26 16:39:56 UTC
Fixed for KDE Frameworks 5.61.